all:
	(cd bzip2-1.0.6; make; cp libbz2.a ../..; cp bzlib.h ../../include)
	(cd cfitsio-3.25; ./configure; make; cp libcfitsio.a ../..; cp *.h ../../include)
	(cd cmd; make; make install)
	(cd coord; make; make install)
	(cd mtbl; make; make install)
	(cd svc; make; make install)
	(cd json; make; make install)
	(cd boundaries; make; make install)
	(cd pixbounds; make; make install)
	(cd www; make; make install)
	(cd wcssubs3.9.0_montage; make; cp libwcs.a ../..; cp *.h ../../include)
	(cd two_plane_v1.1; make; make install)
	(cd lodepng_20140823; make; make install)
	(cd jpeg-8b; ./configure --with-pic; make; cp .libs/libjpeg.a ../..; cp jpeglib.h jconfig.h jmorecfg.h ../../include)
	(cd freetype-2.9.1; ./configure --prefix=`pwd`/../../freetype --without-png --without-zlib; make; make install)
	(cd ..; ranlib *.a)
	chmod 644 ../include/*.h

clean:
	rm -rf ../include/* ../freetype ../*.a
	(cd bzip2-1.0.6; make clean)
	(cd cfitsio-3.25; make clean; rm -rf config.log config.cache config.status lib)
	(cd cmd; make clean)
	(cd coord; make clean)
	(cd mtbl; make clean)
	(cd svc; make clean)
	(cd json; make clean)
	(cd boundaries; make clean)
	(cd www; make clean)
	(cd pixbounds; make clean)
	(cd www; make clean)
	(cd wcssubs3.9.0_montage; make clean)
	(cd two_plane_v1.1; make clean)
	(cd lodepng_20140823; make clean)
	(cd jpeg-8b; make clean)
	(cd freetype-2.9.1; make clean; rm -rf objs/libfreetype.la  objs/.libs)
